/*
 * This file is distributed according to the GNU Lesser Public Licence.
 * Created on 5 avr. 2005
 *
 */
package personneDandD;

import java.awt.datatransfer.DataFlavor;

/**
 * Contient une constante DataFlavor pour les personnes.
 * Celle-ci aurait pu aussi tre range dans PersonneTransferable.
 * @author Serge Rosmorduc
 */
public class PersonneFlavorFactory {
    private static String mimeType = DataFlavor.javaJVMLocalObjectMimeType +
    ";class=" + Personne.class.getName();
    
    private static DataFlavor personneFlavor= null;
    
    public static DataFlavor getPersonneFlavor() {       
        //      Try to create a DataFlavor for color.
        try {
            personneFlavor = new DataFlavor(mimeType);
        } catch (ClassNotFoundException e) { }
        return personneFlavor;
    }
}
