package personneDandD;
import java.io.Serializable;

/*
 * Created on 4 avr. 2005 by rosmord
 *
 * This file is distributed according to the GNU LESSER PUBLIC LICENCE
 */

/**
 * 
 * Classe reprsentant une personne.
 * <p>Pour pouvoir tre change entre diffrentes applications java, la class doit tre srialise.
 */
public class Personne implements Serializable {

    /**
     * 
     * @uml.property name="prenom" multiplicity="(0 1)"
     */
    private String prenom;

    /**
     * 
     * @uml.property name="nom" multiplicity="(0 1)"
     */
    private String nom;

       
    /**
     * @param nom
     */
    public Personne(String nom, String prenom) {
        super();
        this.nom = nom;
        this.prenom= prenom;
    }
    
    /**
     * 
     */
    public Personne() {
        nom= "";
        prenom= "";
    }

    /**
     * @return Returns the nom.
     * 
     * @uml.property name="nom"
     */
    public String getNom() {
        return nom;
    }

    /**
     * @param nom The nom to set.
     * 
     * @uml.property name="nom"
     */
    public void setNom(String nom) {
        this.nom = nom;
    }

    /**
     * @return Returns the prenom.
     * 
     * @uml.property name="prenom"
     */
    public String getPrenom() {
        return prenom;
    }

    /**
     * @param prenom The prenom to set.
     * 
     * @uml.property name="prenom"
     */
    public void setPrenom(String prenom) {
        this.prenom = prenom;
    }

    
    /* (non-Javadoc)
     * @see java.lang.Object#toString()
     */
    public String toString() {
        return nom + " " + prenom;
    }
}
